package com.bocloud.cmp.model;

import java.util.Date;
import java.util.List;

public class BucketModel {
    private String name; // 名称
    private String actualName;
    private Double space;// 空间
    private String region;
    private String acl;
    // 对象用户信息
    private Long userId;
    private Long objectUserUuid;
    private String objectUserName;
    private Date createTime;
    private Long bucketUuid;
    private Long quotaMaxObjects;
    private Long quotaMaxSize;
    private String actionStatus;
    private Long nfsClientNum;
    private String ownerPermission;
    private Long shards;
    private String status;
    private Boolean virtual;
    private Long allocatedObjects;
    private Long allocatedSize;
    private Boolean worm; // 写保护
    private Boolean versioned; // 多版本
    private List<BucketObjectModel> bucketObjectModels;

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the space
     */
    public Double getSpace() {
        return space;
    }

    /**
     * @param space the space to set
     */
    public void setSpace(Double space) {
        this.space = space;
    }

    /**
     * @return the region
     */
    public String getRegion() {
        return region;
    }

    /**
     * @param region the region to set
     */
    public void setRegion(String region) {
        this.region = region;
    }

    /**
     * @return the acl
     */
    public String getAcl() {
        return acl;
    }

    /**
     * @param acl the acl to set
     */
    public void setAcl(String acl) {
        this.acl = acl;
    }

    public BucketModel() {
        super();
    }

    public Long getQuotaMaxObjects() {
        return quotaMaxObjects;
    }

    public void setQuotaMaxObjects(Long quotaMaxObjects) {
        this.quotaMaxObjects = quotaMaxObjects;
    }

    public Long getQuotaMaxSize() {
        return quotaMaxSize;
    }

    public void setQuotaMaxSize(Long quotaMaxSize) {
        this.quotaMaxSize = quotaMaxSize;
    }

    public Long getBucketUuid() {
        return bucketUuid;
    }

    public void setBucketUuid(Long bucketUuid) {
        this.bucketUuid = bucketUuid;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getObjectUserUuid() {
        return objectUserUuid;
    }

    public void setObjectUserUuid(Long objectUserUuid) {
        this.objectUserUuid = objectUserUuid;
    }

    public String getObjectUserName() {
        return objectUserName;
    }

    public void setObjectUserName(String objectUserName) {
        this.objectUserName = objectUserName;
    }

    public String getActionStatus() {
        return actionStatus;
    }

    public void setActionStatus(String actionStatus) {
        this.actionStatus = actionStatus;
    }

    public Long getNfsClientNum() {
        return nfsClientNum;
    }

    public void setNfsClientNum(Long nfsClientNum) {
        this.nfsClientNum = nfsClientNum;
    }

    public String getOwnerPermission() {
        return ownerPermission;
    }

    public void setOwnerPermission(String ownerPermission) {
        this.ownerPermission = ownerPermission;
    }

    public Long getShards() {
        return shards;
    }

    public void setShards(Long shards) {
        this.shards = shards;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Boolean getVirtual() {
        return virtual;
    }

    public void setVirtual(Boolean virtual) {
        this.virtual = virtual;
    }

    public Long getAllocatedObjects() {
        return allocatedObjects;
    }

    public void setAllocatedObjects(Long allocatedObjects) {
        this.allocatedObjects = allocatedObjects;
    }

    public Long getAllocatedSize() {
        return allocatedSize;
    }

    public void setAllocatedSize(Long allocatedSize) {
        this.allocatedSize = allocatedSize;
    }

    public List<BucketObjectModel> getBucketObjectModels() {
        return bucketObjectModels;
    }

    public void setBucketObjectModels(List<BucketObjectModel> bucketObjectModels) {
        this.bucketObjectModels = bucketObjectModels;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getActualName() {
        return actualName;
    }

    public void setActualName(String actualName) {
        this.actualName = actualName;
    }

    public Boolean getWorm() {
        return worm;
    }

    public void setWorm(Boolean worm) {
        this.worm = worm;
    }

    public Boolean getVersioned() {
        return versioned;
    }

    public void setVersioned(Boolean versioned) {
        this.versioned = versioned;
    }
}
